HostAP 0.3.x and Intel PROset

Jouni Malinen jkmaline at cc.hut.fi
Tue Jan 4 21:45:13 EST 2005


On Tue, Jan 04, 2005 at 02:27:45PM -0500, ANDREW BARR wrote:

> I recently put Windows on my laptop and I am trying to get the Intel PROset utility to work with my HostAP access point. It runs HostAP 0.3.0, I am installing 0.3.3 (hostap-driver/hostapd) right now. The access point uses WPA-Radius for security, and I cannot get the PROset supplicant to connect to my AP. The Windows XP supplicant will, but it is not an option because it is not supported by my campus wireless network (LEAP or PEAP-GTC). I read the archives; another fellow had similar problems with the PROset supplicant, albeit with a different authentication type, and it was said that HostAP 0.3.x used a newer IEEE 802.1x standard and I drew the conclusion that this broke compatibility with Intel PROset. Is there any (simple) way to make hostapd use an older version compatible with Intel PROset or is it more complicated than a source code line change or two?

This should really be reported to the vendor of the supplicant so that
they would fix it.. As a workaround, you can change EAPOL_VERSION
definition in hostapd/ieee802_1x.h from 2 to 1.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list